package it.eng.spago.base;

import javax.portlet.PortletSession;

public class PortletSessionContainer extends SessionContainer {

	private static final long serialVersionUID = 1L;
	private static final String SHARED_CONTAINER_NAME = "AF_SHARED_CONTAINER";

	public PortletSessionContainer() {
		super();
	}

	public PortletSessionContainer(boolean permanent) {
		super(permanent);
	}

	/* (non-Javadoc)
	 * @see it.eng.spago.base.SessionContainer#getSharedContainer()
	 */
	public synchronized SessionContainer getSharedContainer() {
		PortletSession portletSession = PortletAccess.getPortletRequest().getPortletSession();

		// Retrieve shared container from shared session
		SessionContainer sharedContainer = (SessionContainer)portletSession.getAttribute(SHARED_CONTAINER_NAME, PortletSession.APPLICATION_SCOPE);
		if (sharedContainer == null) {
			// Shared containes hasnt stored in shared session yet
			sharedContainer = super.getSharedContainer();
			portletSession.setAttribute(SHARED_CONTAINER_NAME, sharedContainer, PortletSession.APPLICATION_SCOPE);
		}
		
		return sharedContainer;
	}

}
